# H460P_PresenceInstruct Class Reference

`#include <h460pres.h>`

Collaboration diagram for H460P_PresenceInstruct:

[legend]

## Public Member Functions

| H460P_PresenceInstruct (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H460P_ArrayOf_PresenceInstruction | m_instruction

## Constructor & Destructor Documentation

H460P_PresenceInstruct::H460P_PresenceInstruct | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceInstruct::Clone | ( |  | ) | const

Comparison H460P_PresenceInstruct::Compare | ( | const PObject & | obj | ) | const

PBoolean H460P_PresenceInstruct::Decode | ( | PASN_Stream & | strm | ) |

void H460P_PresenceInstruct::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460P_PresenceInstruct::GetDataLength | ( |  | ) | const

void H460P_PresenceInstruct::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H460P_ArrayOf_PresenceInstruction H460P_PresenceInstruct::m_instruction

The documentation for this class was generated from the following file:

- h460pres.h